PEMMICAN-CLI(1)

NAME
pemmican-cli - pemmican-cli - Check boot-time PMIC issues

SYNOPSIS

            usage: pemmican-cli [-h] [--version]

OPTIONS

    -h, --help
        show the help message and exit

    --version
        show program's version number and exit

USAGE

pemmican-cli is intended to be a one-shot operation, typically launched by update-motd(5) <https://manpages.ubuntu.com/manpages/noble/en/man5/update-motd.5.html>. It first checks whether the last reset occurred due to a brownout (undervolt) condition and, if it was, prints a warning to stdout.

If you wish to suppress this warning for your user, touch the file ~/.config/pemmican/brownout.inhibit. If you wish to suppress this warning system-wide, touch the file /etc/xdg/pemmican/brownout.inhibit.

Warning:
        It is strongly recommended that any such notice is heeded, as brownout is very likely to lead to any manner of other (hard to predict or replicate) issues up to and including data corruption.

        Put simply, suppressing this warning is probably a very bad idea!

If the last reset was normal (or there was no last reset), the script further checks if the power supply negotiated a full 5A feed. If it did not, this also results in a warning printed to stdout.

The Pi 5 can be reliably operated without a 5A feed, provided the peripherals attached to it are relatively light in their power draw. Depending on circumstance, you may well wish to suppress this warning which can be done for your individual user by touching the file ~/.config/pemmican/max_current.inhibit or system-wide by touching /etc/xdg/pemmican/max_current.inhibit.

SEE ALSO

pemmican-reset(1) <https://manpages.ubuntu.com/manpages/noble/en/man1/pemmican-reset.1.html>, pemmican-mon(1) <https://manpages.ubuntu.com/manpages/noble/en/man1/pemmican-mon.1.html>

BUGS

Please report bugs at: <https://github.com/waveform80/pemmican/issues>

Author
Dave Jones

Copyright
2023-2026 Dave Jones